{
  "extends": "./tsconfig.base.json",
  "compilerOptions": {
    "types": ["vitest/globals", "node"],
    "noImplicitAny": true,
    "strictFunctionTypes": true,
    "strictPropertyInitialization": true,
    "noImplicitThis": true,
    "alwaysStrict": true
  },
  "include": [
    "core/**/*",
    "apps/**/*",
    "tests/**/*",
    "adapters/**/*"
  ],
  "exclude": [
    "node_modules",
    "dist",
    "**/*.js",
    "tests/e2e/step-definitions/automation.steps.ts"
  ]
}